VERSION 5.00
Begin VB.Form Form1 
   AutoRedraw      =   -1  'True
   Caption         =   "Form1"
   ClientHeight    =   1305
   ClientLeft      =   1140
   ClientTop       =   1515
   ClientWidth     =   5505
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   1305
   ScaleWidth      =   5505
   Begin VB.Timer tmrGrabScreen 
      Enabled         =   0   'False
      Interval        =   2000
      Left            =   1800
      Top             =   720
   End
   Begin VB.PictureBox picHidden 
      BackColor       =   &H00C0FFFF&
      BorderStyle     =   0  'None
      Height          =   495
      Left            =   3360
      ScaleHeight     =   495
      ScaleWidth      =   495
      TabIndex        =   5
      Top             =   600
      Visible         =   0   'False
      Width           =   495
   End
   Begin VB.CommandButton cmdGo 
      Caption         =   "Go"
      Height          =   375
      Left            =   2520
      TabIndex        =   4
      Top             =   840
      Width           =   495
   End
   Begin VB.TextBox txtDelay 
      Height          =   285
      Left            =   960
      TabIndex        =   3
      Text            =   "2"
      Top             =   480
      Width           =   615
   End
   Begin VB.TextBox txtFile 
      Height          =   285
      Left            =   960
      TabIndex        =   1
      Top             =   120
      Width           =   4455
   End
   Begin VB.Label Label1 
      Caption         =   "Delay (sec)"
      Height          =   255
      Index           =   1
      Left            =   120
      TabIndex        =   2
      Top             =   480
      Width           =   855
   End
   Begin VB.Label Label1 
      Caption         =   "Output File"
      Height          =   255
      Index           =   0
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   855
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Declare Function GetDesktopWindow Lib "user32" () As Long
Private Declare Function GetDC Lib "user32" (ByVal hwnd As Long) As Long
Private Declare Function GetWindowRect Lib "user32" (ByVal hwnd As Long, lpRect As RECT) As Long
Private Declare Function StretchBlt Lib "gdi32" (ByVal hDC As Long, ByVal x As Long, ByVal y As Long, ByVal nWidth As Long, ByVal nHeight As Long, ByVal hSrcDC As Long, ByVal xSrc As Long, ByVal ySrc As Long, ByVal nSrcWidth As Long, ByVal nSrcHeight As Long, ByVal dwRop As Long) As Long
Private Declare Function ReleaseDC Lib "user32" (ByVal hwnd As Long, ByVal hDC As Long) As Long
Private Type RECT
    Left As Long
    Top As Long
    Right As Long
    Bottom As Long
End Type
Private Const SRCCOPY = &HCC0020
' Copy the desktop's image into the file.
Private Sub GrabScreen(ByVal file_name As String)
Dim desktop_rect As RECT
Dim desktop_win As Long
Dim desktop_dc As Long
Dim desktop_wid As Long
Dim desktop_hgt As Long
Dim x As Long
Dim y As Long
Dim wid As Long
Dim hgt As Long

    ' Get the desktop size in pixels.
    desktop_win = GetDesktopWindow()
    desktop_dc = GetDC(desktop_win)
    GetWindowRect desktop_win, desktop_rect
    desktop_wid = desktop_rect.Right
    desktop_hgt = desktop_rect.Bottom

    ' Get the printable area.
    x = 0
    wid = desktop_wid
    y = 0
    hgt = desktop_hgt
    picHidden.Width = ScaleX(wid, vbPixels, vbTwips)
    picHidden.Height = ScaleY(hgt, vbPixels, vbTwips)

    ' Copy the desktop's image.
    StretchBlt _
        picHidden.hDC, x, y, wid, hgt, _
        desktop_dc, 0, 0, desktop_wid, desktop_hgt, _
        SRCCOPY
    picHidden.Picture = picHidden.Image

    ' Release the desktop's device context.
    ReleaseDC desktop_win, desktop_dc

    ' Save the result into the file.
    SavePicture picHidden.Picture, file_name
End Sub

Private Sub cmdGo_Click()
    Screen.MousePointer = vbHourglass

    tmrGrabScreen.Interval = CSng(txtDelay.Text) * 1000
    tmrGrabScreen.Enabled = True
End Sub

Private Sub Form_Resize()
Dim wid As Single
Dim file_name As String

    wid = ScaleWidth - txtFile.Left - 120
    If wid < 120 Then wid = 120
    txtFile.Width = wid

    cmdGo.Left = (ScaleWidth - cmdGo.Width) / 2

    file_name = App.Path
    If Right$(file_name, 1) <> "\" Then file_name = file_name & "\"
    txtFile.Text = file_name & "desktop.bmp"

    picHidden.BorderStyle = vbBSNone
    picHidden.AutoRedraw = True
End Sub

Private Sub tmrGrabScreen_Timer()
    tmrGrabScreen.Enabled = False
    GrabScreen txtFile.Text
    Screen.MousePointer = vbDefault
End Sub


